package com.liquidnet.service.consumer.base.receiver.stone;

import com.liquidnet.service.base.constant.MQConst;
import com.liquidnet.service.consumer.base.receiver.AbstractSqlRedisReceiver;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class RedisInsertOrderReceiver extends AbstractSqlRedisReceiver {

    @Override
    protected String getRedisStreamKey() {
        return MQConst.StoneQueue.STONE_ORDER_COUPON.getKey();
    }

    @Override
    protected String getRedisStreamGroup() {
        return MQConst.StoneQueue.STONE_ORDER_COUPON.getGroup();
    }
}
